// assertion error function
// ------------------------
#if ! defined(NDEBUG)

#if ! (__GNUC__)
#include <stdlib.h>
#else
//#include <std/typeinfo.h>
#endif
#include <iostream.h>

void assertion_error( ostream& out, char *cond, int line, char* file)
{
    out << "fatal error: assertion (" << cond << ") failed" << endl
        << "             in line " << line << " of file '" << file
        << "'." << endl;
    abort();
}
#endif // ! defined(NDEBUG)
